package com.itdominator.api.dto;


import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;


@Data
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class ThumbnailDto implements Serializable {
    private static final long serialVersionUID = 666L;

    @EqualsAndHashCode.Include
    private int id;

    private String fileName;

    private String fileHash;

    private byte[] image;

}
